'\" t
.\"     Title: ypserv
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/31/2020
.\"    Manual: NIS Reference Manual
.\"    Source: NIS Reference Manual
.\"  Language: English
.\"
.TH "YPSERV" "8" "12/31/2020" "NIS Reference Manual" "NIS Reference Manual"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
ypserv \- NIS Server
.SH "SYNOPSIS"
.HP \w'\fB/usr/sbin/ypserv\fR\ 'u
\fB/usr/sbin/ypserv\fR [\-d\ [\fIpath\fR]] [\-p\ \fIport\fR]
.SH "DESCRIPTION"
.PP
.PP
The Network Information Service (NIS) provides a simple network lookup service consisting of databases and processes\&. The databases are
\fBgdbm\fR
files in a directory tree rooted at
/var/yp\&.
.PP
The
\fBypserv\fR
daemon is typically activated at system startup\&.
\fBypserv\fR
runs only on
NIS
server machines with a complete
NIS
database\&. On other machines using the
NIS
services, you have to run
\fBypbind\fR
as client or under Linux you could use the libc with
NYS
support\&.
\fBypbind\fR
must run on every machine which has
NIS
client processes;
\fBypserv\fR
may or may not be running on the same node, but must be running somewhere on the network\&. On startup
\fBypserv\fR
parses the file
/etc/ypserv\&.conf\&.
.SH "OPTIONS"
.PP
\fB\-d\fR, \fB\-\-debug \fR[\fIpath\fR]
.RS 4
Causes the server to run in debugging mode\&. Normally,
\fBypserv\fR
reports only errors (access violations, dbm failures) using the syslog(3) facility\&. In debug mode, the server does not background itself and prints extra status messages to stderr for each request that it revceives\&.
\fBpath\fR
is an optionally parameter\&.
\fBypserv\fR
is using this directory instead of /var/yp
.RE
.PP
\fB\-p\fR, \fB\-\-port\fR \fIport\fR
.RS 4
\fBypserv\fR
will bind itself to this port\&. This makes it possible to have a router filter packets to the NIS ports, so that access to the NIS server from hosts on the Internet can be restricted\&.
.RE
.PP
\fB\-v\fR, \fB\-\-version\fR
.RS 4
Prints the version number
.RE
.SH "SECURITY"
.PP
In general, any remote user can issue an RPC to
\fBypserv\fR
and retrieve the contents of your NIS maps, if he knows your domain name\&. To prevent such unauthorized transactions,
\fBypserv\fR
supports a feature called
\fBsecurenets\fR
which can be used to restrict access to a given set of hosts\&. At startup
\fBypserv\fR
will attempt to load the securenets information from a file called
/var/yp/securenets \&.
This file contains entries that consist of a netmask and a network pair separated by white spaces or network/number of bits of netmask entries\&. One per line\&. Lines starting with \(lq#\(rq are considered to be comments\&.
.PP
A sample securenets file might look like this:
.RS 4
.sp
.if n \{\
.RS 4
.\}
.nf
# allow connections from local host \-\- necessary
host 127\&.0\&.0\&.1
host ::1
# same as 255\&.255\&.255\&.255 127\&.0\&.0\&.1
#
# allow connections from any host
# on the 131\&.234\&.223\&.0 network
255\&.255\&.255\&.0   131\&.234\&.223\&.0
# allow connections from any host
# between 131\&.234\&.214\&.0 and 131\&.234\&.215\&.255
255\&.255\&.254\&.0   131\&.234\&.214\&.0
# allow some IPv6 connections
FE80::0202:B3FF::/96
# allow IPv6 connections from all machines
::/0
.fi
.if n \{\
.RE
.\}
.sp
.RE
.PP
If
\fBypserv\fR
receives a request from an address that fails to match a rule, the request will be ignored and a warning message will be logged\&. If the
/var/yp/securenets
file does not exist,
\fBypserv\fR
will allow connections from any host\&.
.PP
In the
/etc/ypserv\&.conf
you could specify some access rules for special maps and hosts\&. But it is not very secure, it makes the life only a little bit harder for a potential hacker\&. If a mapname doesn\*(Aqt match a rule, ypserv will look for the YP_SECURE key in the map\&. If it exists, ypserv will only allow requests on a reserved port\&.
.PP
For security reasons, ypserv will only accept ypproc_xfr requests for updating maps from the same master server as the old one\&. This means, you have to reinstall the slave servers if you change the master server for a map\&.
.SH "FILES"
.PP
/etc/ypserv\&.conf
.RS 4
configuration file\&.
.RE
.PP
/var/yp/securenets
.RS 4
which hosts are allowed to contact
\fBypserv\fR\&.
.RE
.SH "SEE ALSO"
.PP
\fBdomainname\fR(1),
\fBypcat\fR(1),
\fBypmatch\fR(1),
\fBypserv.conf\fR(5),
\fBnetgroup\fR(5),
\fBmakedbm\fR(8),
\fBrevnetgroup\fR(8),
\fBypinit\fR(8),
\fByppoll\fR(8),
\fByppush\fR(8),
\fBypset\fR(8),
\fBypwhich\fR(8),
\fBypxfr\fR(8),
\fBrpc.ypxfrd\fR(8)
.PP
The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP)\&. The functionality of the two remains the same; only the name has changed\&. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission\&.
.SH "AUTHOR"
.PP
\fBypserv\fR
was written by Peter Eriksson <pen@lysator\&.liu\&.se>\&. Thorsten Kukuk <kukuk@linux\-nis\&.org> added support for master/slave server and is the new Maintainer\&.
